## com.ibatis.jpetstore.persistence.sqlmapdao
Class BaseSqlMapDao

    java.lang.Object
      com.ibatis.dao.client.template.DaoTemplate
          com.ibatis.dao.client.template.SqlMapDaoTemplate
              com.ibatis.jpetstore.persistence.sqlmapdao.BaseSqlMapDao

All Implemented Interfaces:
  com.ibatis.dao.client.Dao, com.ibatis.sqlmap.client.SqlMapExecutor

Direct Known Subclasses:
  AccountSqlMapDao, CategorySqlMapDao, ItemSqlMapDao, OrderSqlMapDao, ProductSqlMapDao, SequenceSqlMapDao

public class BaseSqlMapDao
extends com.ibatis.dao.client.template.SqlMapDaoTemplate

Field Summary
`protected static int` `PAGE_SIZE`

Fields inherited from class com.ibatis.dao.client.template.DaoTemplate
`daoManager`

Constructor Summary
`BaseSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)`

Methods inherited from class com.ibatis.dao.client.template.SqlMapDaoTemplate
`delete, executeBatch, getSqlMapExecutor, getSqlMapTransactionManager, insert, queryForList, queryForList, queryForMap, queryForMap, queryForObject, queryForObject, queryForPaginatedList, queryWithRowHandler, startBatch, update`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PAGE_SIZE

    protected static final int PAGE_SIZE

See Also:
  Constant Field Values

Constructor Detail

### BaseSqlMapDao

    public BaseSqlMapDao(com.ibatis.dao.client.DaoManager daoManager)

Copyright © 2005-2007 Apache Software Foundation. All Rights Reserved.